KDE 4.7 PyKDE API Reference

- KDE's Python API

# Solid Namespace Reference

`from PyKDE4.solid.Solid import *`

## Detailed Description

## Class Index

A | DvbInterface (Solid) | PortableMediaPlayer (Solid)
AcAdapter (Solid) | G | Predicate (Solid)
AudioInterface (Solid) | GenericInterface (Solid) | Processor (Solid)
B | I | S
Battery (Solid) | InternetGateway (Solid) | SerialInterface (Solid)
Block (Solid) | N | SmartCardReader (Solid)
Button (Solid) | NetworkInterface (Solid) | StorageAccess (Solid)
C | NetworkShare (Solid) | StorageDrive (Solid)
Camera (Solid) | Notifier (Solid.Networking) | StorageVolume (Solid)
D | O | V
Device (Solid) | OpticalDisc (Solid) | Video (Solid)
DeviceInterface (Solid) | OpticalDrive (Solid) |
DeviceNotifier (Solid) | P |

## Enumerations
ErrorType | { NoError, UnauthorizedOperation, DeviceBusy, OperationFailed, UserCanceled, InvalidOption, MissingDriver }

## Enumeration Documentation

ErrorType

Enumerator:

  NoError = 0 |
  UnauthorizedOperation |
  DeviceBusy |
  OperationFailed |
  UserCanceled |
  InvalidOption |
  MissingDriver |